summaryrefslogtreecommitdiff
path: root/bin/run_tests
diff options
context:
space:
mode:
Diffstat (limited to 'bin/run_tests')
-rwxr-xr-xbin/run_tests10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/run_tests b/bin/run_tests
index 9102c325..526aa83a 100755
--- a/bin/run_tests
+++ b/bin/run_tests
@@ -288,6 +288,16 @@ def assert_running(process)
end
#
+# runs the specified command, failing on a non-zero exit status.
+#
+def assert_run(command)
+ output = `#{command}`
+ if $?.exitstatus != 0
+ fail "Error running `#{command}`:\n#{output}"
+ end
+end
+
+#
# Custom test runner in order to modify the output.
#
class LeapRunner < MiniTest::Unit